0
$\begingroup$

I am having trouble migrating from Blender 2.92 to 2.93. Half of my addons will not install and they are officially supported on 2.93. When I install them, I get an error when I attempt to activate them. The thing is, this is only happening on Windows. I managed to successfully install all of my Addons on MacOS without any issues. I am an artist, not a programmer. Any ideas on what is going on are much appreciated!

The error below is from Botaniq (latest version and 2.93 supported). But the exact same message shows up for all the others.

    Traceback (most recent call last):
  File "C:\Users\GABRIEL\AppData\Roaming\Blender Foundation\Blender\2.93\scripts\addons\botaniq_full\__init__.py", line 30, in <module>
    from . import polygoniq_lib
  File "C:\Users\GABRIEL\AppData\Roaming\Blender Foundation\Blender\2.93\scripts\addons\botaniq_full\polygoniq_lib\__init__.py", line 9, in <module>
    from . import telemetry_module as telemetry_native_module
  File "C:\Users\GABRIEL\AppData\Roaming\Blender Foundation\Blender\2.93\scripts\addons\botaniq_full\polygoniq_lib\telemetry_module.py", line 9, in <module>
    import multiprocessing
  File "D:\Steam\steamapps\common\Blender\2.93\python\lib\multiprocessing\__init__.py", line 16, in <module>
    from . import context
  File "D:\Steam\steamapps\common\Blender\2.93\python\lib\multiprocessing\context.py", line 6, in <module>
    from . import reduction
  File "D:\Steam\steamapps\common\Blender\2.93\python\lib\multiprocessing\reduction.py", line 16, in <module>
    import socket
  File "D:\Steam\steamapps\common\Blender\2.93\python\lib\socket.py", line 51, in <module>
    import _socket
ImportError: Module use of python38.dll conflicts with this version of Python.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "D:\Steam\steamapps\common\Blender\2.93\scripts\modules\addon_utils.py", line 351, in enable
    mod = __import__(module_name)
  File "C:\Users\GABRIEL\AppData\Roaming\Blender Foundation\Blender\2.93\scripts\addons\botaniq_full\__init__.py", line 32, in <module>
    import polygoniq_lib
ModuleNotFoundError: No module named 'polygoniq_lib'
$\endgroup$
10
  • $\begingroup$ The add-ons needs to be updated. In your case a python module has to be re-compiled for that version shipped with blender (there is more for sure). I guess there is nothing we can do. Suggest ask the add-on authors for updates. $\endgroup$
    – brockmann
    Aug 3 at 14:29
  • $\begingroup$ @brockmann The add-ons in question are updated and officially support 2.93. And as I mentioned, they install without issues on MacOS and work as intended. I talked to the devs and they don't seem to know what is wrong either, so I came here to see if anyone might have any ideas... $\endgroup$
    – Kryat Lore
    Aug 3 at 14:34
  • $\begingroup$ @brockmann the ModuleNotFoundError: No module named 'polygoniq_lib' would imply you're correct, however OP said that they are supported by 2.93 which implies they have been compiled correctly. The ImportError, suggests that the PYTHONPATH is pointing at a different version of Python. To OP: do you have more than one version of python installed? $\endgroup$
    – James
    Aug 3 at 14:34
  • $\begingroup$ @James I have no versions of Python installed. I used to some time ago when I wanted to learn, but I gave up and uninstalled all of them. Blender is supposedly running on its own built-in Python. My 2.92 version runs all the add-ons in question without issues. This only happens on 2.93+. Could there be residual files and settings from my Python installations causing this issue? How can I check this? $\endgroup$
    – Kryat Lore
    Aug 3 at 14:39
  • $\begingroup$ Suggest you try downloading Blender direct from the Blender web site rather than via Steam. Although they should be the same, it's worth trying! $\endgroup$
    – John Eason
    Aug 3 at 14:43
0
$\begingroup$

The problem was being caused by residual settings from other software installations I no longer have installed, which made use of Python38, the same one being referenced in the error message in Blender.

Step-by-Step:

  1. Go to Control Panel

  2. Use the search bar to search for "environment", then click on "edit environment variable for you account".

  3. In the window that opened, search the top list for items pointing to python that seem related to your problem. If they relate to programs you no longer have installed, it is probably safe to delete them.

  4. Restart the PC and the issue should be solved. That's what solved it for me.

WARNING: Messing with Windows variables is risky if you don't know what you're doing. If you are uncertain of what to do, best to ask someone knowledgeable for help.

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.